-------------------------------------------
--					Init
-------------------------------------------
require "scripts/style"

-- gRows and gColumns are set up in dialogs/dialogsMainMenu.lua
gLoadAssets = 1;

if (needLoad()) then
	DoModal("scripts/dialogs/dialogload.lua");
end 

-------------------------------------------
--				Main Dialog
-------------------------------------------
-- Our mini-game set-up
MakeDialog
{
	-- Name the modal dialog
	name = "thegame",
	Bitmap
	{
		name = "backgroundimage",
		image = "backgrounds/dialogs/dialogfullscreendefault",

		GameWindow
		{
			w = kMax,
			h = kMax,

			rows = gRows,
			columns = gColumns,
			
			SetStyle( PauseButtonStyle ),
			Button
			{
				x = 30,
				y = kMax - 64,
				name = "pause",
				--DefaultButtonLabel("pause"),
				cancel = true,
				command =
					function()
						doTransition("goPause");
					end
			},
			createSound();
		}
	},
}